
Figure - Bug #116775
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT2】【设置】连接实体键盘后，设置键盘布局7个以上，下面设置键盘布局部分消失
2023-03-07 14:46 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-07

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0080.C101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-08

Test Type: ST Root cause: AOSP 原生问题，未对超长列表进行处理。

Description

【前提条件】

1、设备正常启动

2、连接上实体键盘

【测试步骤】

1、系统——语言与输入法——实体键盘——点击键盘名称

2、点击设置键盘布局

3、选择7个或7个以上键盘布局

4、返回查看页面

【预期结果】

4、仍有设置键盘布局部分

【实际结果】

4、下面设置键盘布局部分消失

【复现率】

3/3

History

#1 - 2023-03-08 14:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186303 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix physical keyboard layout dialog overstep page height.TC-RID: 1201-0201809IssueID: TS-R-BUG-116775Change-Id:

I6bdeb4833f22fe52204f2e39c522ac115e4fea3c

#2 - 2023-03-08 14:48 - CD FW-廖涛

- Status changed from New to RESOLVED
- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-08

- Root cause set to AOSP 原生问题，未对超长列表进行处理。

■ Current conclusion

已处理，代码已入库。

■ My analysis

AOSP 原生问题，未对超长列表进行处理。

■ Next action

测试验证。

#3 - 2023-03-09 16:00 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

【验证情况】设置键盘布局7个一样也会正常显示，pass

#4 - 2023-03-09 16:00 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
